FAQ-CUDA
홈 > CUDA > FAQ-CUDA

Fermi(페르미 C2050) 을 지원하는 SDK 버전은?

미루웨어

2010-04-19

5797
 

엔비디아의 그래픽카드는 드라이버레벨에서의 하위호환성을 가지고 있기 때문에 197.XX 이상의 드라이버를 사용하시면, 어떠한 CUDA 버전을 이용해 만든 CUDA기반 어플리케이션을 실행할 있습니다. 하지만, Fermi 새로운 기능을 모두 사용하기 위해서는 CUDA SDK 3.0 사용하셔야 합니니다. 또한, 컴파일 하드웨어 아키텍쳐 구조를 SM2.0으로 컴파일하여 사용하시면 됩니다. Fermi 아직 구입하지 않으신 경우도 toolkit SDK 있으면, 충분히 Fermi 기반의 컴파일을 수행해 보실 있습니다. 엔비디아의 CUDA 존에 CUDA 3.0 프로그래밍 가이드와 더불어 호환성 정보 Fermi 최적화 가이드를 제공하고 있습니다. Fermi 제품을 받으시기 전에 충분히 에뮬레이션 모드로 Fermi 구조의 프로그래밍을 준비하시면 제품 인도 Fermi 새로운 기능을 추가한 프로그래밍 작업을 바로 하실 있습니다.

 

보다 자세한 CUDA3.0 대한 내용은 다음의 링크를 참고하시면 됩니다.CUDA C Programming Guide 

http://developer.download.nvidia.com/compute/cuda/3_0/toolkit/docs/NVIDIA_CUDA_ProgrammingGuide.pdf

 

호환성 가이드는 다음의 링크를 참고하시면 됩니다. Fermi Compatibility Guide 

http://developer.download.nvidia.com/compute/cuda/3_0/toolkit/docs/NVIDIA_FermiCompatibilityGuide.pdf

 



Fermi(페르미 C2050) 코어 개수는?

Fermi(페르미 C2050)에서만 C++이 되나요?
목록보기